Index: Bundles/trunk/Bundles/Latex.tmbundle/Commands/LaTeX and view.plist
===================================================================
--- Bundles/trunk/Bundles/Latex.tmbundle/Commands/LaTeX and view.plist	(revision 6824)
+++ Bundles/trunk/Bundles/Latex.tmbundle/Commands/LaTeX and view.plist	(working copy)
@@ -43,10 +43,11 @@
 CWD="`pwd`/"
 
 # Set up TeX compiler, fallback to xelatex if document indicates it, 
-if [[ $"OPTIONS_program" == "xelatex" ]] || grep -Esq '^[^%]*\\usepackage.*(xunicode|fontspec)|program=xelatex' "$M"; then
+if [[ "$OPTIONS_program" == "xelatex" ]] || grep -Esq '^[^%]*\\usepackage.*(xunicode|fontspec)|program=xelatex' "$M"; then
   DEF_TEX=xelatex
-# or to latex+dvi2ps if pstricks is there
-elif grep -Esq '^[^%]*\\usepackage.*(pstricks|xyling|pst-asr|OTtablx)' "$M"; then
+# or to latex+dvi2ps if document indicates it, or pstricks is there
+elif [[ "$OPTIONS_program" == "latex" ]] \
+    || grep -Esq '^[^%]*\\usepackage.*(pstricks|xyling|pst-asr|OTtablx)' "$M"; then
   DEF_TEX=latex
   TEX_PSTRICKS=1
 else
